import React from 'react';
import { ComplexAction } from '../types';
export interface BannerProps {
    type?: 'informational' | 'success' | 'warning' | 'danger';
    title?: string;
    description?: string;
    className?: string;
    onClose?(): void;
    show?: boolean;
    action?: ComplexAction;
    primaryAction?: ComplexAction;
    secondaryAction?: ComplexAction;
    dangerAction?: ComplexAction;
    children?: any;
    hideCloseButton?: boolean;
}
export declare const PHXBanner: ({ type, className, title, description, hideCloseButton, onClose, show, action, primaryAction, secondaryAction, dangerAction, children, }: BannerProps) => React.JSX.Element;
