import React from 'react';
import { CalendarProps } from './components/Calendar';
export interface DatePickerProps extends CalendarProps {
    onChange?(value: {
        startDate: string;
        endDate: string;
    }): void;
    defaultValue?: number;
    label?: string;
    disabled?: boolean;
    className?: string;
    origin?: 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
    id?: string;
    error?: boolean;
    errorType?: 'required-field';
    position_component?: 'left';
}
export declare function PHXDateRangePicker({ className, defaultValue, disabled, disabledDate, error, errorType, label, max, min, onChange, position_component, origin, }: DatePickerProps): React.JSX.Element;
