"use strict";
exports.__esModule = true;
exports.PHXDescriptionLists = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var types_1 = require("../types");
function PHXDescriptionLists(_a) {
    var data = _a.data, _b = _a.size, size = _b === void 0 ? 'default' : _b, _c = _a.type, type = _c === void 0 ? 'default' : _c, className = _a.className;
    return (react_1["default"].createElement("div", { className: className },
        react_1["default"].createElement("div", { className: (0, types_1.classNames)(type === 'border' ? 'rounded-lg border border-gray-100' : '') },
            react_1["default"].createElement("dl", { className: 'divide-y divide-gray-100' }, data === null || data === void 0 ? void 0 : data.map(function (item) { return (react_1["default"].createElement("div", { key: item.title, className: (0, types_1.classNames)('sm:grid sm:grid-cols-3 sm:gap-4', type === 'border' ? 'sm:px-4' : 'sm:px-0', size === 'small' ? 'px-2 py-2' : 'px-4 py-4') },
                react_1["default"].createElement("dt", { className: 'text-xs font-medium leading-6 text-gray-900' }, item.title),
                react_1["default"].createElement("dd", { className: 'mt-1 text-xs leading-6 text-gray-700 sm:col-span-2 sm:mt-0' }, item.description))); })))));
}
exports.PHXDescriptionLists = PHXDescriptionLists;
//# sourceMappingURL=DescriptionLists.js.map