import React, { InputHTMLAttributes } from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
export interface FormLayoutProps {
    list: {
        label?: string;
        helpText?: string;
        register?: UseFormRegisterReturn;
        error?: boolean;
        errorMessageCustom?: string;
        errorType?: 'required-field' | 'validate-input-field' | 'duplicate-field' | 'validate-phone-number' | 'validate-input-email' | 'custom-message';
        rest?: InputHTMLAttributes<HTMLInputElement> & {};
    } | any;
    className?: string;
    numberOfInputInRow: number;
    textArea?: boolean;
    row?: number;
}
export declare function PHXFormLayout({ className, list, numberOfInputInRow, textArea, row }: FormLayoutProps): React.JSX.Element;
