import React from 'react';
export interface FooterBarProps {
    title?: string;
    nameOfModal?: string;
    contentOfModal?: string;
    method?: string;
    headerAction?: boolean;
    headerActionText?: string;
    headerActionType?: 'import' | 'custom';
    footerAction?: boolean;
    className?: string;
    children?: any;
    loading?: boolean;
    onlyDelete?: boolean;
    secondaryLeftButton?: boolean;
    secondaryLeftButtonSubmit?: boolean;
    secondaryLeftTextButton?: string;
    deleted?: boolean;
    submit?: boolean;
    cancelText?: string;
    submitText?: string;
    isExport?: boolean;
    exportText?: string;
    onExport?(): void;
    deletedLoading?: boolean;
    formType?: 'add' | 'edit' | 'custom';
    badge?: {
        badgeText?: string;
        badgeType?: string;
    } | any;
    size?: 'small' | 'medium' | 'large';
    type?: 'default' | 'title-with-badge';
    backAction?: boolean;
    onSecondary?(): void;
    onDelete?(): void;
    onCancel?(): void;
    onSubmit?(): void;
    onImport?(): void;
    onChangeCapture?(): void;
    onHeaderActionClick?(): void;
    onSubmitSecondaryLeftButton?(): void;
    onDeletedSecondaryLeftButton?(): void;
}
export declare const PHXFormWrap: ({ isExport, exportText, onExport, badge, cancelText, children, contentOfModal, className, deleted, secondaryLeftButton, secondaryLeftButtonSubmit, secondaryLeftTextButton, deletedLoading, footerAction, headerAction, headerActionText, headerActionType, loading, method, nameOfModal, onSecondary, onCancel, onDelete, onSubmit, onImport, onChangeCapture, onHeaderActionClick, onSubmitSecondaryLeftButton, onDeletedSecondaryLeftButton, onlyDelete, size, formType, submit, submitText, title, type, backAction, }: FooterBarProps) => React.JSX.Element;
