"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
function LoginStyle(props) {
    var buttonColor = props.buttonColor;
    var hexColorPattern = /#[0-9A-Fa-f]{6}/g;
    var containsHexColor = hexColorPattern.test(buttonColor);
    var styleButton = containsHexColor
        ? "background: ".concat(buttonColor, "; \n       box-shadow:none !important")
        : "background-color: ".concat(buttonColor);
    return (react_1["default"].createElement("style", null, "\n      .button-login {\n        ".concat(styleButton, "\n       }\n      ")));
}
exports["default"] = LoginStyle;
//# sourceMappingURL=login-style.js.map