import React from 'react';
export interface ModalProps {
    show?: boolean;
    title?: string;
    className?: string;
    size?: 'small' | 'medium' | 'large' | 'large-plus' | 'extra-large';
    closeButton?: boolean;
    hiddenSubmit?: boolean;
    secondaryActionText?: string;
    primaryActionText?: string;
    dangerActionText?: string;
    children?: any;
    primaryLoading?: boolean;
    dangerLoading?: boolean;
    primarySubmit?: boolean;
    dangerSubmit?: boolean;
    isHeaderDownload?: boolean;
    headerContent?: string;
    downloadLinkRef?: any;
    hrefLink?: string;
    downloadText?: string;
    leftActionText?: string;
    onHide?(): void;
    onSubmit?(): void;
    onPrimaryClick?(): void;
    onDangerClick?(): void;
    onHeaderAction?(): void;
    onLeftActionText?(): void;
    type?: 'default' | 'no-padding';
    customWidth?: string;
    inCard?: boolean;
    disableCloseButton?: boolean;
}
export declare const PHXModal: ({ show, title, className, primaryActionText, secondaryActionText, dangerActionText, children, primaryLoading, size, dangerLoading, downloadLinkRef, downloadText, primarySubmit, dangerSubmit, hiddenSubmit, hrefLink, closeButton, isHeaderDownload, headerContent, onHide, onSubmit, onPrimaryClick, onDangerClick, onHeaderAction, type, customWidth, inCard, disableCloseButton, leftActionText, onLeftActionText, }: ModalProps) => React.JSX.Element;
