"use strict";
exports.__esModule = true;
exports.ButtonUpload = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Button_1 = require("../Button");
function ButtonUpload(_a) {
    var fileType = _a.fileType, handleUploadClick = _a.handleUploadClick, helpText = _a.helpText, _b = _a.loading, loading = _b === void 0 ? false : _b;
    return (react_1["default"].createElement(react_1["default"].Fragment, null,
        react_1["default"].createElement("div", { className: 'mt-2 flex text-sm leading-6 text-gray-600' },
            react_1["default"].createElement("label", { className: 'relative cursor-pointer rounded-md bg-white font-semibold text-indigo-600 hover:text-indigo-500', htmlFor: 'file-upload' },
                react_1["default"].createElement(Button_1.PHXButton, { loading: loading, onClick: handleUploadClick, secondary: true, size: 'micro' }, "T\u1EA3i l\u00EAn"))),
        helpText ? (react_1["default"].createElement("p", { className: 'cursor-pointer text-xs leading-6 text-gray-400' }, helpText)) : (react_1["default"].createElement("p", { className: 'cursor-pointer text-xs leading-6 text-gray-400' }, (fileType === 'excel' && 'XLXS, XLS tối đa 100MB') ||
            (fileType === 'image' && 'JPG, JPEG, PNG, GIF, WEBP') ||
            (fileType === 'file' && 'PDF, JPG, JPEG, PNG')))));
}
exports.ButtonUpload = ButtonUpload;
//# sourceMappingURL=ButtonUpload.js.map