export interface SendMailData {
    to: string;
    subject: string;
    text: string;
}
export interface ISchoolCourse {
    id: number;
    code: string;
    course_name: string;
}
export interface ISchoolTerm {
    id: number;
    code: string;
    name: string;
}
export interface ISchoolYear {
    code: string;
    end_at: string;
    id: number;
    name: string;
    start_at: string;
    school_course: ISchoolCourse;
    school_terms: ISchoolTerm;
}
