import React from 'react';
var Section = function (_a) {
    var title = _a.title, subTitle = _a.subTitle, children = _a.children;
    var titleMarker = (title || subTitle) && (React.createElement("div", { className: 'mb-5' },
        title && React.createElement("h3", { className: 'text-base font-semibold leading-6 text-gray-900' }, title),
        subTitle && title && React.createElement("p", { className: 'mt-1 text-sm text-slate-500' }, subTitle),
        subTitle && !title && React.createElement("p", { className: 'text-sm text-slate-500' }, subTitle)));
    return (React.createElement("div", { className: 'py-5' },
        titleMarker,
        children));
};
export default Section;
//# sourceMappingURL=Section.js.map