import React from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
import { CalendarProps } from './components/Calendar';
export interface DatePickerProps extends CalendarProps {
    onChange?(val: any): void;
    defaultValue?: any;
    label?: string;
    disabled?: boolean;
    className?: string;
    origin?: 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
    register?: UseFormRegisterReturn;
    id?: string;
    error?: boolean;
    errorType?: 'required-field' | 'duplicate-field' | 'custom-message';
    errorMessageCustom?: string;
    placeholder?: string;
}
export declare function PHXDatePicker({ className, defaultValue, disabled, disabledDate, endDisabled, error, errorType, id, label, max, min, onChange, onChangeDate, origin, register, startDisabled, errorMessageCustom, placeholder, }: DatePickerProps): React.JSX.Element;
