import React from 'react';
import { classNames } from '../types';
export function PHXDescriptionLists(_a) {
    var data = _a.data, _b = _a.size, size = _b === void 0 ? 'default' : _b, _c = _a.type, type = _c === void 0 ? 'default' : _c, className = _a.className;
    return (React.createElement("div", { className: className },
        React.createElement("div", { className: classNames(type === 'border' ? 'rounded-lg border border-gray-100' : '') },
            React.createElement("dl", { className: 'divide-y divide-gray-100' }, data === null || data === void 0 ? void 0 : data.map(function (item) { return (React.createElement("div", { key: item.title, className: classNames('sm:grid sm:grid-cols-3 sm:gap-4', type === 'border' ? 'sm:px-4' : 'sm:px-0', size === 'small' ? 'px-2 py-2' : 'px-4 py-4') },
                React.createElement("dt", { className: 'text-xs font-medium leading-6 text-gray-900' }, item.title),
                React.createElement("dd", { className: 'mt-1 text-xs leading-6 text-gray-700 sm:col-span-2 sm:mt-0' }, item.description))); })))));
}
//# sourceMappingURL=DescriptionLists.js.map