'use client';
import { __assign, __rest } from "tslib";
import Link from 'next/link';
import React from 'react';
import { useLoading } from '../LoadingProvider';
export default function PHXLink(_a) {
    var href = _a.href, children = _a.children, rest = __rest(_a, ["href", "children"]);
    var setLoading = useLoading().setLoading;
    var handleClick = function () {
        setLoading(true);
    };
    return (React.createElement(Link, __assign({ href: href }, rest, { onClick: handleClick }), children));
}
//# sourceMappingURL=link.js.map