import React from 'react';
function LoginStyle(props) {
    var buttonColor = props.buttonColor;
    var hexColorPattern = /#[0-9A-Fa-f]{6}/g;
    var containsHexColor = hexColorPattern.test(buttonColor);
    var styleButton = containsHexColor
        ? "background: ".concat(buttonColor, "; \n       box-shadow:none !important")
        : "background-color: ".concat(buttonColor);
    return (React.createElement("style", null, "\n      .button-login {\n        ".concat(styleButton, "\n       }\n      ")));
}
export default LoginStyle;
//# sourceMappingURL=login-style.js.map