import React, { TextareaHTMLAttributes } from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
export interface TextAreaProps extends TextareaHTMLAttributes<HTMLTextAreaElement> {
    className?: string;
    label?: string;
    helpText?: string;
    register?: UseFormRegisterReturn;
    error?: boolean;
    errorMessage?: string;
    disabled?: boolean;
}
export declare const PHXTextarea: React.FC<TextAreaProps>;
