import { Dialog } from '@headlessui/react';
import React from 'react';
var ContentModal = function () {
    return (React.createElement("div", { className: 'sm:flex sm:items-start' },
        React.createElement("div", { className: 'text-center sm:mt-0 sm:text-left' },
            React.createElement(Dialog.Title, { as: 'h3', className: 'text-sm font-semibold leading-6 text-gray-900' }, "Deactivate account"),
            React.createElement("div", { className: 'mt-2' },
                React.createElement("p", { className: 'text-xs text-gray-500' }, "Are you sure you want to deactivate your account? All of your data will be permanently removed from our servers forever. This action cannot be undone.")))));
};
ContentModal.propTypes = {};
export default ContentModal;
//# sourceMappingURL=ContentModal.js.map