import React from 'react';
interface PHXBarChartProps {
    data: Array<{
        name: string;
        uv: number;
        pv: number;
        amt: number;
        color: string;
        value: number;
        lineChart: number;
        yAxisRight: number;
    }>;
    dataKeyLineChart?: string;
    colorLineChart?: string;
    duplicateChart?: boolean;
    dataKeyChartA?: string;
    dataKeyChartB?: string;
    xAxisKey?: string;
    yAxisRightKey?: string;
    domain?: Array<any>;
    nameLineChart?: string;
    hiddenLineChart?: boolean;
    doubleColumnInRow?: boolean;
    dataKeyColumnDouble?: string;
    barSize?: number;
    nameColumnDouble?: string;
    chartType: 'double' | 'single' | 'one-to-many' | 'many-to-one' | 'many-to-many';
    radiusChart?: Array<number>;
    chartColumnA?: Array<{
        name: string;
        value: number;
        color: string;
    }>;
    chartColumnB?: Array<{
        name: string;
        value: number;
        color: string;
    }>;
}
declare function PHXBarChart(props: Readonly<PHXBarChartProps>): React.JSX.Element;
export default PHXBarChart;
