import React from 'react';
type TSelectItem = Array<{
    id: number;
    name: string;
}>;
export interface ComboboxProps {
    className?: string;
    label?: string;
    id?: string;
    listOptions: TSelectItem;
    defaultValue?: TSelectItem;
    placeholder?: string;
    onChange?: any;
    error?: boolean;
    selectFieldPosition?: 'top' | 'bottom';
    optionHeight?: number;
    disabled?: boolean;
}
export declare const PHXCombobox: ({ className, defaultValue, disabled, error, id, label, listOptions, onChange, optionHeight, placeholder, selectFieldPosition, }: ComboboxProps) => React.JSX.Element;
export {};
