"use strict";
exports.__esModule = true;
exports.PHXEmptyRecord = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var EmptySvg_1 = tslib_1.__importDefault(require("./EmptySvg"));
function PHXEmptyRecord(_a) {
    var className = _a.className, border = _a.border, _b = _a.type, type = _b === void 0 ? 'default' : _b;
    var emptyTitle = 'Dữ liệu đang trống';
    return (react_1["default"].createElement("div", { className: className },
        type === 'default' && (react_1["default"].createElement("div", { className: "bg-white  sm:rounded-lg ".concat(border ? 'border shadow' : '') },
            react_1["default"].createElement("div", { className: 'flex flex-col' },
                react_1["default"].createElement("div", { className: 'min-w-full px-6 py-2 pb-16 pt-16 align-middle md:px-6 md:pr-0 lg:px-8' },
                    react_1["default"].createElement("div", { className: 'px-4 pb-14' },
                        react_1["default"].createElement("div", { className: 'text-center' },
                            react_1["default"].createElement(EmptySvg_1["default"], null),
                            react_1["default"].createElement("span", { className: 'text-sm font-normal mt-4 text-gray-500' }, emptyTitle))))))),
        type === 'small' && (react_1["default"].createElement("div", { className: "bg-white  sm:rounded-lg ".concat(border ? 'border shadow' : '') },
            react_1["default"].createElement("div", { className: 'flex flex-col' },
                react_1["default"].createElement("div", { className: 'min-w-full px-6 py-2 pb-10 pt-10 align-middle md:px-6 md:pr-0 lg:px-8' },
                    react_1["default"].createElement("div", { className: 'px-4' },
                        react_1["default"].createElement("div", { className: 'text-center' },
                            react_1["default"].createElement(EmptySvg_1["default"], null),
                            react_1["default"].createElement("span", { className: 'text-xs font-normal text-gray-500' }, emptyTitle))))))),
        type === 'micro' && (react_1["default"].createElement("div", { className: "bg-white  sm:rounded-lg ".concat(border ? 'border shadow' : '') },
            react_1["default"].createElement("div", { className: 'flex flex-col' },
                react_1["default"].createElement("div", { className: 'min-w-full px-6 py-2 pb-8 pt-8 align-middle md:px-6 md:pr-0 lg:px-8' },
                    react_1["default"].createElement("div", { className: 'px-4 pb-5' },
                        react_1["default"].createElement("div", { className: 'text-center' },
                            react_1["default"].createElement(EmptySvg_1["default"], null),
                            react_1["default"].createElement("span", { className: 'text-xs font-normal text-gray-500' }, emptyTitle)))))))));
}
exports.PHXEmptyRecord = PHXEmptyRecord;
//# sourceMappingURL=EmptyRecord.js.map