"use strict";
exports.__esModule = true;
exports.PHXFormLayout = void 0;
var tslib_1 = require("tslib");
/* eslint-disable @typescript-eslint/ban-types */
var react_1 = tslib_1.__importDefault(require("react"));
var Input_1 = require("../Input/Input");
var types_1 = require("../types");
var Textarea_1 = require("../Textarea");
function PHXFormLayout(_a) {
    var className = _a.className, list = _a.list, numberOfInputInRow = _a.numberOfInputInRow, textArea = _a.textArea, row = _a.row;
    var numberOfInput = (0, types_1.classNames)(numberOfInputInRow === 1 && 'md:grid-cols-1', numberOfInputInRow === 2 && 'md:grid-cols-2', numberOfInputInRow === 3 && 'md:grid-cols-3', numberOfInputInRow === 4 && 'md:grid-cols-4', numberOfInputInRow === 5 && 'md:grid-cols-5');
    return (react_1["default"].createElement("div", { className: className },
        react_1["default"].createElement("div", { className: "grid gap-y-3 gap-x-5 ".concat(numberOfInput) }, list.map(function (item, index) { return (react_1["default"].createElement(react_1["default"].Fragment, null, textArea ? (react_1["default"].createElement("div", { key: index },
            react_1["default"].createElement(Textarea_1.PHXTextarea, tslib_1.__assign({ rows: row, key: index, label: item.label, register: item.register, helpText: item.helpText, error: item.error, errorMessageCustom: item.errorMessageCustom, errorType: item.errorType }, item.rest)))) : (react_1["default"].createElement("div", { key: index },
            react_1["default"].createElement(Input_1.PHXInput, tslib_1.__assign({ key: index, label: item.label, register: item.register, helpText: item.helpText, error: item.error, errorMessageCustom: item.errorMessageCustom, errorType: item.errorType }, item.rest)))))); }))));
}
exports.PHXFormLayout = PHXFormLayout;
//# sourceMappingURL=FormLayout.js.map