"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var read_env_config_1 = require("../../read-env-config");
function PHXClientQuery(queryName, option, isDelay) {
    if (isDelay === void 0) { isDelay = true; }
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var startTime, env, uri, queryResult, endTime, duration;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    startTime = performance.now();
                    env = (0, read_env_config_1.getEnv)('NEXT_PUBLIC_ENV', process.env.NEXT_PUBLIC_ENV);
                    uri = (0, read_env_config_1.getEnv)('NEXT_PUBLIC_API', process.env.NEXT_PUBLIC_API);
                    if (!(env === 'local')) return [3 /*break*/, 2];
                    return [4 /*yield*/, queryName(tslib_1.__assign(tslib_1.__assign({}, option), { context: { uri: uri } }))];
                case 1:
                    queryResult = _a.sent();
                    return [3 /*break*/, 4];
                case 2: return [4 /*yield*/, queryName(tslib_1.__assign(tslib_1.__assign({}, option), { context: { uri: "".concat(uri, "/graphql/rd/v1/graphql") } }))];
                case 3:
                    queryResult = _a.sent();
                    _a.label = 4;
                case 4:
                    endTime = performance.now();
                    duration = endTime - startTime;
                    if (!(duration < 100 && isDelay)) return [3 /*break*/, 6];
                    console.info('pde...');
                    return [4 /*yield*/, new Promise(function (r) { return setTimeout(r, 100); })];
                case 5:
                    _a.sent();
                    _a.label = 6;
                case 6: return [2 /*return*/, queryResult];
            }
        });
    });
}
exports["default"] = PHXClientQuery;
//# sourceMappingURL=clientQueryV2.js.map