"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var read_env_config_1 = require("../../read-env-config");
var axios_1 = tslib_1.__importDefault(require("axios"));
function PHXGetEnvPublicV3() {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var urlApiGateway, response, error_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    urlApiGateway = (0, read_env_config_1.getEnv)('NEXT_PUBLIC_API_GATEWAY', process.env.NEXT_PUBLIC_API_GATEWAY);
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, axios_1["default"].get("".concat(urlApiGateway, "/public-setting/settings/env-public"), {
                            headers: {
                                'Content-Type': 'application/json'
                            }
                        })];
                case 2:
                    response = _a.sent();
                    return [2 /*return*/, response.data];
                case 3:
                    error_1 = _a.sent();
                    throw new Error('Error with Axios request: ' + error_1.message);
                case 4: return [2 /*return*/];
            }
        });
    });
}
exports["default"] = PHXGetEnvPublicV3;
//# sourceMappingURL=getEnvPublic.js.map