"use strict";
'use client';
exports.__esModule = true;
var tslib_1 = require("tslib");
var link_1 = tslib_1.__importDefault(require("next/link"));
var react_1 = tslib_1.__importDefault(require("react"));
var LoadingProvider_1 = require("../LoadingProvider");
function PHXLink(_a) {
    var href = _a.href, children = _a.children, rest = tslib_1.__rest(_a, ["href", "children"]);
    var setLoading = (0, LoadingProvider_1.useLoading)().setLoading;
    var handleClick = function () {
        setLoading(true);
    };
    return (react_1["default"].createElement(link_1["default"], tslib_1.__assign({ href: href }, rest, { onClick: handleClick }), children));
}
exports["default"] = PHXLink;
//# sourceMappingURL=link.js.map