import React, { InputHTMLAttributes } from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
export interface InputProps extends InputHTMLAttributes<HTMLInputElement> {
    className?: string;
    label?: string;
    register?: UseFormRegisterReturn;
    title?: string;
    error?: boolean;
    errorType?: 'required-field' | 'duplicate-field';
    description?: string;
    disabled?: boolean;
    defaultChecked?: boolean;
}
export declare const PHXRadio: React.FC<InputProps>;
