"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var solid_1 = require("@heroicons/react/20/solid");
var react_1 = tslib_1.__importDefault(require("react"));
var types_1 = require("../../types");
function SearchResult(_a) {
    var setQuery = _a.setQuery, type = _a.type;
    return (react_1["default"].createElement(react_1["default"].Fragment, null,
        react_1["default"].createElement("input", { className: 'block w-full rounded-lg border-[0.5px] border-gray-500 px-3 py-1.5 pl-8 text-xs font-normal shadow-sm hover:bg-gray-50 focus:border-gray-500 focus:bg-gray-50 focus:outline-none focus:outline-offset-1 focus:outline-indigo-500 focus:ring-transparent', onChange: function (e) { return setQuery(e.target.value); }, placeholder: 'T\u00ECm ki\u1EBFm', type: 'text' }),
        react_1["default"].createElement(solid_1.MagnifyingGlassIcon, { className: (0, types_1.classNames)('h-4 w-4 text-gray-500 absolute ml-3', type === 'have-bulk-actions' ? 'top-5' : 'top-2') })));
}
exports["default"] = SearchResult;
//# sourceMappingURL=searchResult.js.map