import React from 'react';
export interface SkeletonProps {
    size?: 'small' | 'medium' | 'large' | 'extra-large';
    type?: 'default' | 'col' | 'single' | 'table' | 'page' | 'page-col' | 'page-with-table' | 'page-table-with-report' | 'page-table-report-filter' | 'page-table-filter' | 'only-header' | 'only-report';
    className?: string;
    filterQty?: number;
    reportQty?: number;
}
export declare function PHXSkeleton({ className, size, type, filterQty, reportQty, }: SkeletonProps): React.JSX.Element;
