"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Dropdown_1 = require("../Dropdown");
var optionNumber = [150, 125, 100, 75, 50, 25, 10];
function PaginationSelected(_a) {
    var rowQuantity = _a.rowQuantity, setIsChangeRowQty = _a.setIsChangeRowQty, setRowQuantity = _a.setRowQuantity;
    var options = optionNumber.map(function (item) { return ({
        content: item + '',
        active: rowQuantity === item,
        onClick: function () {
            setRowQuantity(item);
            setIsChangeRowQty(true);
        }
    }); });
    return (react_1["default"].createElement("div", { className: 'flex items-center gap-x-1' },
        react_1["default"].createElement(Dropdown_1.PHXDropdown, { buttonContent: "".concat(rowQuantity), options: options, origin: 'top-left', type: 'soft-small' }),
        react_1["default"].createElement("p", { className: 'text-xs' }, "b\u1EA3n ghi/trang")));
}
exports["default"] = PaginationSelected;
//# sourceMappingURL=PaginaitonSelected.js.map