import React from 'react';
export interface TabsProps {
    onClickTab?: (value: any) => void;
    aggregate?: number;
    dataTabs?: Array<{
        name: string;
        component: any;
        code?: string;
        id?: number;
        [key: string]: any;
    }>;
    dataTabsQuery?: Array<{
        name: string;
        query: any;
        querySearch?: any;
    }>;
    children?: any;
    type: 'inside-of-card' | 'default' | 'bar-underline' | 'inside-component';
    className?: string;
    getQuery?: any;
    getQuerySearch?: any;
    filterValue?: any;
    pagination?: any;
    paginationData?: any;
    defaultTab?: any;
    getOnlyTitleOfTabs?(value: any): any;
    [key: string]: any;
    titleComponent?: any;
    tabComponent?: any;
}
export declare function PHXTabs({ aggregate, children, className, dataTabs, dataTabsQuery, defaultTab, filterValue, getOnlyTitleOfTabs, getQuery, getQuerySearch, pagination, paginationData, titleComponent, tabComponent, type, onClickTab, }: TabsProps): React.JSX.Element;
