import { PHXCheckbox } from '../Checkbox';
import React from 'react';
export function PHXChoiceList(_a) {
    var label = _a.label, list = _a.list;
    return (React.createElement(React.Fragment, null,
        label && React.createElement("label", { className: 'block pb-1 text-xs font-medium leading-5 text-gray-700' }, label),
        list.map(function (item) { return (React.createElement(PHXCheckbox, { id: item.id, key: item.title, expanded: item.expanded, helpText: item.helpText, register: item.register, title: item.title, defaultValue: item.defaultValue, defaultChecked: item.defaultChecked, disabled: item.disabled, onChange: item.onChange }, item.component)); })));
}
//# sourceMappingURL=ChoiceList.js.map