import { FC } from 'react';
import { UseFormRegisterReturn, UseFormSetValue } from 'react-hook-form';
type Falsy = boolean | undefined | null | 0;
export declare function classNames(...classes: Array<string | Falsy>): string;
export type FilterArrayItem = {
    keyParent?: string;
    keyChild: string;
};
export interface SearchResultListProps {
    getSearchResult: any;
    handleCustomRender?: any;
    isFillInput?: boolean;
    defaultInputText?: string;
    listSelected?: Array<any>;
    isArray?: boolean;
    label?: string;
    error?: boolean;
    disabled?: boolean;
    name: string;
    placeholder: string;
    errorMessageCustom?: string;
    errorType?: any;
    setValue: UseFormSetValue<any>;
    register?: UseFormRegisterReturn;
    filterArray: Array<FilterArrayItem>;
    handleQueryValue?: any;
    queryValueType?: 'custom' | 'default';
    search: {
        enable: boolean;
        keyResult: string;
        query: string;
    } | any;
    isUnaccentSearchValue?: boolean;
}
declare const PHXSearchResultList: FC<SearchResultListProps>;
export default PHXSearchResultList;
